PageList (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.pager.PageList class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.pager
Class PageList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  org.hyperic.util.pager.PageList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class PageList

extends java.util.ArrayList
implements java.io.Serializable

A utility class that contains all a "page" of data that is viewable
this list may or may not conain the entire list of information. generally this list conains a subset of data.
ex. say we have a list of 5000 users. the entire list does not need to be returned to only display the first 15 items, the user is only going to see the first 15 both the user and the application the user will want to know that there are 5000 users in the system.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`PageList()`
`PageList(java.util.Collection c, int totalSize)`

Method Summary
`java.io.Serializable` | `getMetaData()`
`int` | `getTotalSize()` returns the total size of the "masterlist" that this page is a subset of.
`boolean` | `isUnbounded()`
`void` | `setMetaData(java.io.Serializable metaData)`
`void` | `setTotalSize(int totalSize)` Sets the total size of the "masterlist" that this page is a subset of.
`void` | `setUnbounded(boolean isUnbounded)`
`java.lang.String` | `toString()`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### PageList

    public PageList()

### PageList

    public PageList(java.util.Collection c,
                    int totalSize)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.AbstractCollection`

### getTotalSize

    public int getTotalSize()

  returns the total size of the "masterlist" that this page is a subset of.

  Returns:
    Value of property listSize.

### setTotalSize

    public void setTotalSize(int totalSize)

  Sets the total size of the "masterlist" that this page is a subset of.

  Parameters:
    `totalSize` - New value of property totalSize.

### setMetaData

    public void setMetaData(java.io.Serializable metaData)

### getMetaData

    public java.io.Serializable getMetaData()

### isUnbounded

    public boolean isUnbounded()

### setUnbounded

    public void setUnbounded(boolean isUnbounded)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.